#!/bin/bash

for dir in */; do
  service="${dir/\//}"
  if [ -f "$service/docker-compose.yml" ]; then
    echo "deploy $service"
    docker stack deploy -c "$service/docker-compose.yml" "$service"
  fi
done

echo "cleanup docker"
docker system prune --all --volumes --force
